{: test that string assignment causes a compilation error
   if the rhs is too long}

program e1070( output );

type
   str =  packed array[1..10] of char;

var
   s : str;

begin { e1070 }

   s := '1234';        {OK}
   s := '12345678901'; {!!! too big}
end. { e1070 }

